Name:           perl-multidimensional
Version:        0.009
Release:        1%{?org_tag}%{?dist}
Summary:        Disables multidmensional array emulation
License:        CHECK(Distributable)
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/multidimensional/
Source0:        http://localhost/cpan//authors/id/I/IL/ILMARI/multidimensional-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  perl(ExtUtils::Depends)
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.3
BuildRequires: perl(ExtUtils::ParseXS)
BuildRequires: perl(ExtUtils::Manifest)
BuildRequires:  perl(B::Hooks::OP::Check) >= 0.19
BuildRequires:  perl(CPAN::Meta) >= 2.112580
BuildRequires:  perl(Lexical::SealRequireHints) >= 0.005
BuildRequires:  perl(Test::More)
Requires:       perl(B::Hooks::OP::Check) >= 0.19
Requires:       perl(CPAN::Meta) >= 2.112580
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
Autoreq:        no

%description
Perl's multidimensional array emultaion stems from the days before the
language had references, but these days it mostly serves to bite you when
you typo a hash slice by using the $ sigil instead of @.

%prep
%setup -q -n multidimensional-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -type f -name '*.bs' -size 0 -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} %{buildroot}/*

%check
make test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes dist.ini LICENSE META.json README weaver.ini
%{perl_vendorarch}/auto/*
%{perl_vendorarch}/multidimensional*
%{_mandir}/man3/*

%changelog
* Fri Jul 14 2023 BogusDateBot
- Eliminated rpmbuild "bogus date" warnings due to inconsistent weekday,
  by assuming the date is correct and changing the weekday.

* Sun Dec 11 2011 Gavin Carr <gavin@openfusion.com.au> 0.009-1
- Specfile autogenerated by cpanspec 1.79.
